config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/rc.d/rc.firewall.new
config etc/arno-iptables-firewall/firewall.conf.new
config etc/arno-iptables-firewall/custom-rules.new
config etc/arno-iptables-firewall/plugins/dmz-dnat.conf.new
config etc/arno-iptables-firewall/plugins/dsl-ppp-modem.conf.new
config etc/arno-iptables-firewall/plugins/dyndns-host-open.conf.new
config etc/arno-iptables-firewall/plugins/ids-protection.conf.new
config etc/arno-iptables-firewall/plugins/ipsec-vpn.conf.new
config etc/arno-iptables-firewall/plugins/ipv6-over-ipv4.conf.new
config etc/arno-iptables-firewall/plugins/linux-upnp-igd.conf.new
config etc/arno-iptables-firewall/plugins/mac-address-filter.conf.new
config etc/arno-iptables-firewall/plugins/multiroute.conf.new
config etc/arno-iptables-firewall/plugins/sip-voip.conf.new
config etc/arno-iptables-firewall/plugins/ssh-brute-force-protection.conf.new
config etc/arno-iptables-firewall/plugins/traffic-accounting.conf.new
config etc/arno-iptables-firewall/plugins/traffic-shaper.conf.new
config etc/arno-iptables-firewall/plugins/transparent-dnat.conf.new
config etc/arno-iptables-firewall/plugins/transparent-proxy.conf.new
config etc/syslog.conf.new
config etc/logrotate.d/syslog.new

echo
echo " Remember to check the new configuration files, specially:"
echo
echo "   /etc/rc.d/rc.firewall.new"
echo "   /etc/arno-iptables-firewall/firewall.conf.new"
echo "   /etc/syslog.conf.new"
echo "   /etc/logrotate.d/syslog.new"
echo
echo " Also, firewall.conf *has* to be properly configured for"
echo " this firewall to work."
echo
